Summary: Xarm
Name: Xarm 
version: 1.2.5 
Release: 1
Source: ftp.win.jp/pub/Xcontrib/libraries/Xarm-1.2.5.tar.gz
Copyright: LGPL
Group: X11/Libraries 
Requires: 

%description
The Xarm library is a C++ wrapper of the Motif library and the Xmext library. 
This is intended as a tool to help individuals that program with Motif & C++. 
An attempt was made to follow the inheritance structure of the Motif widget 
set. 


%prep 
%setup -n Xarm-1.2.5


%build

./configure --prefix=/usr/X11R6/lib --with-gmake 

make

%install
make install

/sbin/ldconfig

# installing examples in /usr/X11R6/lib/Xarm-1.25 directory 

rm -f ./examples/*.o
tar -czvf ./example.tgz ./examples/
rm -rf /usr/X11R6/lib/Xarm-1.25
mkdir /usr/X11R6/lib/Xarm-1.25
mv example.tgz /usr/X11R6/lib/Xarm-1.25/
cd /usr/X11R6/lib/Xarm-1.25
tar -zxvf example.tgz
rm -f example.tgz


%files
%doc COPYING COPYRIGHT ChangeLog INSTALL README TODO Xarm.lsm doc/* 
/usr/X11R6/lib/libXarm.so.1.2
/usr/X11R6/lib/libXarm.so.1
/usr/X11R6/lib/libXarm.so
/usr/X11R6/lib/libXarm.a
/usr/X11R6/lib/libXmext.so.1.2
/usr/X11R6/lib/libXmext.so.1
/usr/X11R6/lib/libXmext.so
/usr/X11R6/lib/libXmext.a
/usr/X11R6/lib/Xarm-1.25
/usr/X11R6/include/Xarm
/usr/X11R6/include/Xmext











